View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000644Ecere SDKcompilerpublic2011-09-25 01:552014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000644: Iterating an enum value with ints converts to an unrelated property
DescriptionThe following code converts the 'PlayerColor c' to a BlokusColor while it shouldn't:

public enum BlokusColor : byte { none, blue, yellow, red, green };

public enum PlayerColor : byte
{
   blue, yellow, red, green;
   property BlokusColor
   {
      // TODO: Fix this!!
      get { return (BlokusColor)*(int *)&this+1; }
   }
};


PlayerColor c;
int p;
for(c = 0; c < 4; c++)
{

}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001319)
jerome (administrator)
2014-05-27 01:31

Fixed by:
https://github.com/ecere/ecere-sdk/commit/981767e16256c835738562f4280e06140dcc0067 [^]

- Issue History
Date Modified Username Field Change
2011-09-25 01:55 jerome New Issue
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-05-19 20:09 jerome Assigned To => jerome
2014-05-19 20:09 jerome Status new => assigned
2014-05-19 20:09 jerome Product Version => 0.44.09
2014-05-19 20:09 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-05-27 01:31 jerome Status assigned => resolved
2014-05-27 01:31 jerome Fixed in Version => 0.44.10 64
2014-05-27 01:31 jerome Resolution open => fixed
2014-05-27 01:31 jerome Note Added: 0001319
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker